package com.memorynotfound.spring.core.scope;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class Run {

    public static void main(String... args) throws InterruptedException {
        ApplicationContext context = new ClassPathXmlApplicationContext("app-config.xml");

        Coffee coffee = context.getBean(Coffee.class);
        coffee.setBrand("Java");
        System.out.println("Coffee brand: " + coffee.getBrand());

        coffee = context.getBean(Coffee.class);
        System.out.println("Coffee brand: " + coffee.getBrand());
    }
}
